<?php
/***********************************************************************

  Copyright (C) 2002-2005  Rickard Andersson (rickard@punbb.org)

  This file is part of PunBB.

  PunBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  PunBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

************************************************************************/

##
##
##  Voici quelques notes intrrssantes pour les aspirants auteurs de plugin :
##
##  1. Si vous voulez afficher un message par lintermdiaire de la fonction 
##     message(), vous devez le faire avant dappeler generate_admin_menu($plugin).
##
##  2. Les plugins sont chargs par admin_loader.php et ne doivent pas tre termins 
##     (par exemple en appelant exit()). Aprs que le script du plugin ait fini, le 
##     script du chargeur affiche le pied de page, ainsi inutil de vous souciez de cela. 
##     Cependant veuillez noter que terminer un plugin en appelant message() ou 
##     redirect() est trs bien.
##
##  3. Lattribut action de toute balise <forme> et lURL cible pour la fonction 
##     redirect() doit tre plac  la valeur de $_SERVER[REQUEST_URI]. Cette 
##     URL peut cependant tre tendue pour inclure des variables supplmentaires 
##     (comme lajout de &foo=bar dans le plugin exemple).
##
##  4. Si votre plugin est pour les administrateurs seulement, le nom de fichier 
##     doit avoir le prfixe AP_. Sil est pour les administrateurs et les modrateurs, 
##     utilisez le prfixe AMP_. Le plugin exemple a le prfixe AMP_ et est donc 
##     disponible dans le menu de navigation aux administrateurs et aux modrateurs.
##
##  5. Utilisez _ au lieu des espaces dans le nom de fichier.
##
##  6. Tant que les scripts de plugin sont inclus depuis le scripts admin_loader.php 
##     de PunBB, vous avez accs toutes les fonctions et variables globales de PunBB 
##     (par exemple $db, $pun_config, $pun_user etc.).
##
##  7. Faites de votre mieux pour garder laspect et lergonomie de votre interface 
##     utilisateur de plugins semblable au reste des scripts dadministration. 
##     Nhsitez pas  emprunter le marquage et le code aux scripts dadmin pour 
##     lemployer dans vos plugins.
##
##  8. Les plugins doivent tres dlivrs sous la licence dutilisation GNU/GPL ou 
##     une licence compatible. Recopiez le prambule GPL (situ en haut des scripts 
##     de PunBB) dans votre script de plugin et changez l e copyright pour quil 
##     corresponde  lauteur du plugin (cest  dire vous).
##
##


// Make sure no one attempts to run this script "directly"
if (!defined('PUN'))
	exit;

// Tell admin_loader.php that this is indeed a plugin and that it is loaded
define('PUN_PLUGIN_LOADED', 1);

//
// The rest is up to you!
//

// If the "Show text" button was clicked
if (isset($_POST['show_text']))
{
	// Make sure something something was entered
	if (trim($_POST['text_to_show']) == '')
		message('You didn\'t enter anything!');

	// Display the admin navigation menu
	generate_admin_menu($plugin);

?>
	<div class="block">
		<h2><span>Plugin exemple</span></h2>
		<div class="box">
			<div class="inbox">
				<p>Vous avez dit "<?php echo pun_htmlspecialchars($_POST['text_to_show']) ?>". Bon boulot.</p>
				<p><a href="javascript: history.go(-1)">Retour</a></p>
			</div>
		</div>
	</div>
<?php

}
else	// If not, we show the "Show text" form
{
	// Display the admin navigation menu
	generate_admin_menu($plugin);

?>
	<div id="exampleplugin" class="blockform">
		<h2><span>Plugin exemple</span></h2>
		<div class="box">
			<div class="inbox">
				<p>Ce plugin ne fait rien de bien utile. D'o le nom &quot;Exemple&quot;.</p>
				<p>Ce serait un bon endroit pour parler au sujet de votre plugin. Dcrivez ce qu'il fait et comment il devrait tre utilis. Soyez bref, mais instructif.</p>
			</div>
		</div>

		<h2 class="block2"><span>Un formulaire d'exemple</span></h2>
		<div class="box">
			<form id="example" method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>&amp;foo=bar">
				<div class="inform">
					<fieldset>
						<legend>Saisissez un bout de texte et cliquez "Afficher"&#160;!</legend>
						<div class="infldset">
						<table class="aligntop" cellspacing="0">
							<tr>
								<th scope="row">Texte  afficher<div><input type="submit" name="show_text" value=" Afficher le texte " tabindex="2" /></div></th>
								<td>
									<input type="text" name="text_to_show" size="25" tabindex="1" />
									<span>Le texte que vous voulez afficher.</span>
								</td>
							</tr>
						</table>
						</div>
					</fieldset>
				</div>
			</form>
		</div>
	</div>
<?php

}

// Note that the script just ends here. The footer will be included by admin_loader.php.
